Russian manpage should move to /usr/share/man/ru

Bug #12651 reported by Debian Bug Importer on 2005-02-08
4
Affects Status Importance Assigned to Milestone
gnupg (Debian)
Fix Released
Unknown
gnupg (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #294196 http://bugs.debian.org/294196

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #294196 http://bugs.debian.org/294196

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 8 Feb 2005 13:43:29 +0100
From: Uwe Zeisberger <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: Russian manpage should move to /usr/share/man/ru

--bp/iNruPH9dso1Pn
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Package: gnupg
Version: 1.4.0-2
Severity: serious
File: /usr/share/man/man1/gpg.ru.1.gz

The gnupg package includes a Russian manpage as
/usr/share/man/man1/gpg.ru.1.gz

According to FHS 4.7.2 this file have to move to
/usr/share/man/ru/man1/gpg.1.gz

Regards
Uwe

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=3DC, LC_CTYPE=3Den_US.UTF-8 (charmap=3DUTF-8)

Versions of packages gnupg depends on:
ii libbz2-1.0 1.0.2-1 A high-quality block-sorting f=
ile=20
ii libc6 2.3.2.ds1-20 GNU C Library: Shared librarie=
s an
ii libldap2 2.1.30-3 OpenLDAP libraries
ii libreadline5 5.0-10 GNU readline and history libra=
ries
ii libusb-0.1-4 1:0.1.8-17 Userspace USB programming libr=
ary
ii makedev 2.3.1-75 Creates device files in /dev
ii zlib1g 1:1.2.2-3 compression library - runtime

-- no debconf information

--=20
Uwe Zeisberger

http://www.google.com/search?q=3DPlanck%27s+constant%3D

--bp/iNruPH9dso1Pn
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----

iD8DBQFCCLPx6suMTIUe0hYRAtu+AKDfaN1qvYvoPqPquvRdRwXuMQYmtwCg5DpC
rcQWVgUYeQGHe3xS2+WJb0s=
=x2mq
-----END PGP SIGNATURE-----

--bp/iNruPH9dso1Pn--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 8 Feb 2005 07:27:06 -0800
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: only in the new version

tags 294196 sid
thanks

Matt Zimmerman (mdz) wrote :

     gnupg | 1.2.5-3ubuntu4 | http://ubuntu.mirrors.tds.net hoary/main Packages
     gnupg | 1.4.0-2 | http://http.us.debian.org unstable/main Sources
     gnupg | 1.2.5-3 | http://http.us.debian.org testing/main Sources

Package: gnupg
Version: 1.4.0-2
Followup-For: #294196
Tags: patch

Attached a patch to rules.

You feel this patch trivial. I am in the process of New Maintainer and
creating a patch is my task.

Thanks,
Daigo

--
Daigo Moriwaki
<email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 14 Feb 2005 22:38:24 +0900
From: Daigo Moriwaki <email address hidden>
To: <email address hidden>
Subject: Russian manpage should move to /usr/share/man/ru

--------------enig235675C11B117F5E1D876842
Content-Type: multipart/mixed;
 boundary="------------090105050606060406040103"

This is a multi-part message in MIME format.
--------------090105050606060406040103
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Package: gnupg
Version: 1.4.0-2
Followup-For: #294196
Tags: patch

Attached a patch to rules.

You feel this patch trivial. I am in the process of New Maintainer and
creating a patch is my task.

Thanks,
Daigo

--
Daigo Moriwaki
<email address hidden>

--------------090105050606060406040103
Content-Type: text/plain;
 name="rules.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="rules.patch"

--- rules.orig 2005-02-14 19:34:17.000000000 +0900
+++ rules 2005-02-14 19:24:16.000000000 +0900
@@ -79,7 +79,10 @@
  sed -e "s#/usr/local/#/usr/#" < debian/tmp/usr/share/man/man1/gpg.1 \
      > debian/tmp/usr/share/man/man1/gpg.1.new
  mv debian/tmp/usr/share/man/man1/gpg.1.new debian/tmp/usr/share/man/man1/gpg.1
+ mkdir -p debian/tmp/usr/share/man/ru/man1
+ mv debian/tmp/usr/share/man/man1/gpg.ru.1 debian/tmp/usr/share/man/ru/man1/gpg.1
  gzip -9v debian/tmp/usr/share/man/man*/*
+ gzip -9v debian/tmp/usr/share/man/*/man*/*
  : # Remove from /usr/share/gnupg what we install into /usr/share/doc/gnupg/
  rm debian/tmp/usr/share/gnupg/FAQ debian/tmp/usr/share/gnupg/faq.html
  $(install_dir) debian/tmp/usr/share/doc/gnupg/

--------------090105050606060406040103--

--------------enig235675C11B117F5E1D876842
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCEKnTNcPj+ukc0lARAv4jAJ4okzcjdBamh9VE8/juXarVLRfVxQCgz8t4
HGlDMNPJjbgYJvtDZWwOats=
=8M3L
-----END PGP SIGNATURE-----

--------------enig235675C11B117F5E1D876842--

Source: gnupg
Source-Version: 1.4.0-3

We believe that the bug you reported is fixed in the latest version of
gnupg, which is due to be installed in the Debian FTP archive:

gnupg_1.4.0-3.diff.gz
  to pool/main/g/gnupg/gnupg_1.4.0-3.diff.gz
gnupg_1.4.0-3.dsc
  to pool/main/g/gnupg/gnupg_1.4.0-3.dsc
gnupg_1.4.0-3_powerpc.deb
  to pool/main/g/gnupg/gnupg_1.4.0-3_powerpc.deb
gpgv-udeb_1.4.0-3_powerpc.udeb
  to pool/main/g/gnupg/gpgv-udeb_1.4.0-3_powerpc.udeb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <email address hidden> (supplier of updated gnupg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 20 Feb 2005 22:55:11 +0000
Source: gnupg
Binary: gnupg gpgv-udeb
Architecture: source powerpc
Version: 1.4.0-3
Distribution: unstable
Urgency: low
Maintainer: James Troup <email address hidden>
Changed-By: James Troup <email address hidden>
Description:
 gnupg - GNU privacy guard - a free PGP replacement
 gpgv-udeb - minimal signature verification tool (udeb)
Closes: 294196
Changes:
 gnupg (1.4.0-3) unstable; urgency=low
 .
   * debian/rules (binary-arch): move Russian manpage to correct (FHS)
     location. Thanks to Uwe Zeisberger
     <email address hidden> for the report. Closes: #294196
Files:
 b9319eaa6f37f6a831e29f7fca156626 1304 utils standard gnupg_1.4.0-3.dsc
 31b2e1cde115cf70e64902c5aa5755b1 68947 utils standard gnupg_1.4.0-3.diff.gz
 eee5f08a7c327cb4863f4a4828f0bb2b 1898082 utils standard gnupg_1.4.0-3_powerpc.deb
 11595f540f3639508db54e6167790801 143478 debian-installer extra gpgv-udeb_1.4.0-3_powerpc.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iQIVAwUBQhkWutfD8TGrKpH1AQIAphAAsMcQCXPjUXTnI6Ct69BqhuEgX/YJmS6s
O+I/SElpLSjq5czp/wHGT3dMoBFbQXGt2nsAseD8nUXAz7cU9vU34v9axItuF9Xr
9l/k7lMGvYQl5PoDZ+58y+ACI+znt39ZX8u8QWUnslm3owfbV43E/AzcngvSOvht
9Vek5NJFmSci/nfFDZvLSf5w46aaOWtNpoZO5yS1mzHmgYDDu/F4ZQ1rzFrZZdzW
8IvgH4PCT2YexIXoHqVIzBHqRwuXSKK5vjKwzquaJtE1wQMdtZh8QHQG/kcQYhY6
1NRKrFe3lfcrhtwuSp6j5FJA7rt7bXrWDkld+ZwEk6y4AkPYLgk62+yFKV3kFMfn
0OBz2QO7Mo4tAdNknJc6AP47xhTzXIY8VH0tJaYLCfScYV/rGoQVF70Hs0LxIHjJ
vWn82IQDBlsjhrv42P3NNUwEXxaiiSo+tE//RCGJbUKkJ8vldOGekJm71FLjKGaP
QEf30ClSaermOav9jepBOCaScA0wx0HhHLDFle82DxysZMC7j6TpaEWLv8AK158n
Z9GTRQ2huXGBi4UKoFVyrsc7jYCMniQkUXpFQ0uE+ws0DHkf+4+idXL5uCxXhakz
/zbpacrPPqGJY5LMB1IZYHP3nP6qbhEz9ZgMJyFNhf03ntlooCD9IO5K4vz7XoJG
rIYNXDs8ci4=
=I7tu
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 20 Feb 2005 18:17:17 -0500
From: James Troup <email address hidden>
To: <email address hidden>
Subject: Bug#294196: fixed in gnupg 1.4.0-3

Source: gnupg
Source-Version: 1.4.0-3

We believe that the bug you reported is fixed in the latest version of
gnupg, which is due to be installed in the Debian FTP archive:

gnupg_1.4.0-3.diff.gz
  to pool/main/g/gnupg/gnupg_1.4.0-3.diff.gz
gnupg_1.4.0-3.dsc
  to pool/main/g/gnupg/gnupg_1.4.0-3.dsc
gnupg_1.4.0-3_powerpc.deb
  to pool/main/g/gnupg/gnupg_1.4.0-3_powerpc.deb
gpgv-udeb_1.4.0-3_powerpc.udeb
  to pool/main/g/gnupg/gpgv-udeb_1.4.0-3_powerpc.udeb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <email address hidden> (supplier of updated gnupg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 20 Feb 2005 22:55:11 +0000
Source: gnupg
Binary: gnupg gpgv-udeb
Architecture: source powerpc
Version: 1.4.0-3
Distribution: unstable
Urgency: low
Maintainer: James Troup <email address hidden>
Changed-By: James Troup <email address hidden>
Description:
 gnupg - GNU privacy guard - a free PGP replacement
 gpgv-udeb - minimal signature verification tool (udeb)
Closes: 294196
Changes:
 gnupg (1.4.0-3) unstable; urgency=low
 .
   * debian/rules (binary-arch): move Russian manpage to correct (FHS)
     location. Thanks to Uwe Zeisberger
     <email address hidden> for the report. Closes: #294196
Files:
 b9319eaa6f37f6a831e29f7fca156626 1304 utils standard gnupg_1.4.0-3.dsc
 31b2e1cde115cf70e64902c5aa5755b1 68947 utils standard gnupg_1.4.0-3.diff.gz
 eee5f08a7c327cb4863f4a4828f0bb2b 1898082 utils standard gnupg_1.4.0-3_powerpc.deb
 11595f540f3639508db54e6167790801 143478 debian-installer extra gpgv-udeb_1.4.0-3_powerpc.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iQIVAwUBQhkWutfD8TGrKpH1AQIAphAAsMcQCXPjUXTnI6Ct69BqhuEgX/YJmS6s
O+I/SElpLSjq5czp/wHGT3dMoBFbQXGt2nsAseD8nUXAz7cU9vU34v9axItuF9Xr
9l/k7lMGvYQl5PoDZ+58y+ACI+znt39ZX8u8QWUnslm3owfbV43E/AzcngvSOvht
9Vek5NJFmSci/nfFDZvLSf5w46aaOWtNpoZO5yS1mzHmgYDDu/F4ZQ1rzFrZZdzW
8IvgH4PCT2YexIXoHqVIzBHqRwuXSKK5vjKwzquaJtE1wQMdtZh8QHQG/kcQYhY6
1NRKrFe3lfcrhtwuSp6j5FJA7rt7bXrWDkld+ZwEk6y4AkPYLgk62+yFKV3kFMfn
0OBz2QO7Mo4tAdNknJc6AP47xhTzXIY8VH0tJaYLCfScYV/rGoQVF70Hs0LxIHjJ
vWn82IQDBlsjhrv42P3NNUwEXxaiiSo+tE//RCGJbUKkJ8vldOGekJm71FLjKGaP
QEf30ClSaermOav9jepBOCaScA0wx0HhHLDFle82DxysZMC7j6TpaEWLv8AK158n
Z9GTRQ2huXGBi4UKoFVyrsc7jYCMniQkUXpFQ0uE+ws0DHkf+4+idXL5uCxXhakz
/zbpacrPPqGJY5LMB1IZYHP3nP6qbhEz9ZgMJyFNhf03ntlooCD9IO5K4vz7XoJG
rIYNXDs8ci4=
=I7tu
-----END PGP SIGNATURE-----

Changed in gnupg:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.